---
schema_version: "1"
id: b7299fb443b669c1db90a0347c4025a13e8e1e072db23484a7ff41becd28a341
title: GET /interaction/v1/eventDefinitions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getEventDefinitions.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getEventDefinitions.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 17a6b2ebd92694f2d61a1ac6022870aacdefd61570bb8f7dc7b9a8af942a46da
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /interaction/v1/eventDefinitions

Retrieve a collection of event definitions.

## URL Parameters

| Name        | Type   | Description                                                                                                                                                    |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `$page`     | Number | The page number of results to retrieve. The default value is 1.                                                                                                |
| `$pageSize` | Number | The number of results to return on a page. The default and maximum is 50. This value is only honored if the query string also specifies the `$page` parameter. |
| `name`      | String | Filter results by the name of the event definition. The API searches the entire name of the event definition for the value that you specify here.              |

## Usage

To retrieve event definitions, issue a GET request to the `/interaction/v1/eventDefinitions` endpoint. You can optionally filter and paginate the results by using query string parameters.

```
GET /interaction/v1/eventDefinitions?$pageSize=2&$page=2&name=welcome HTTP/1.1
Host: YOUR_DOMAIN.rest.marketingcloudapis.com
Authorization: Bearer YOUR_BEARER_TOKEN
Content-Type: application/json
```

The response includes an `items` array. Each object in this array contains information about event definitions that match the criteria in the query string.

```json
{
  "count": 4,
  "page": 2,
  "pageSize": 1,
  "links": {},
  "items": [
    {
      "id": "858f98c7-7d0c-4c42-95ee-a142852e96c9",
      "type": "DateEvent",
      "name": "Welcome Series",
      "description": "Welcome Series",
      "createdDate": "2025-06-12T12:33:41.82",
      "createdBy": 998877665,
      "modifiedDate": "2025-06-12T12:55:34.033",
      "modifiedBy": 998877665,
      "mode": "Production",
      "eventDefinitionKey": "DateEvent",
      "dataExtensionId": "a94b1dd1-b5c3-e211-abdb-1cc1de75f674",
      "dataExtensionName": "_PushAddress",
      "sourceApplicationExtensionId": "1169744d-c5c2-4ebd-869a-7f897db61112",
      "filterDefinitionId": "00000000-0000-0000-0000-000000000000",
      "filterDefinitionTemplate": "",
      "iconUrl": "/events/images/icon_journeyBuilder-event-DateBased-blue.svg",
      "arguments": {
        "serializedObjectType": 1,
        "contactAttributeGroup": "PushDemographics",
        "contactAttributeName": "CreatedDate",
        "dataExtensionId": "a94b1dd1-b5c3-e211-abdb-1cc1de75f674",
        "eid": 987654,
        "mid": 987654,
        "eventDefinitionId": "858f98c7-7d0c-4c42-95ee-a142852e96c9",
        "eventDefinitionKey": "DateEvent",
        "criteria": "",
        "useHighWatermark": false,
        "contactAttributeId": "18f35cd5-f1c1-e311-a1e0-e83935a85380",
        "dateType": "yearly",
        "dateOffset": 0,
        "dateOffsetUnit": "days",
        "automationId": "845441e4-ac9f-4400-9ba6-c1a6ede6ff59"
      },
      "metaData": {
        "criteriaDescription": "",
        "attributeName": "Created Date",
        "customAttributeName": "Created Date",
        "formattedDate": "on Created Date",
        "formattedTime": "12:00 AM",
        "timeZone": "(GMT-06:00) Central Time (US & Canada)",
        "automationData": {
          "id": "NUVGVWhKLXNBRVNicHNHbTdlYl9XUToyNTow",
          "key": "07b9ab2e-1f24-4ddd-aee3-93705737304b",
          "createdDate": "2025-06-12T18:33:43Z",
          "updateInProgress": false,
          "name": "JB Event Welcome Series",
          "description": "Event Definition Automation",
          "createdBy": {
            "id": "MTA5NzcxNjU6NDow",
            "name": "D'Angelo Cunningham",
            "email": "dcunningham@example.com"
          },
          "modifiedDate": "2025-06-12T18:33:52Z",
          "status": "Scheduled",
          "memberId": 987654,
          "processes": [
            {
              "id": "UDJjRURNY3BZRUMySXhWekpUb1JXUToyNzow",
              "name": "",
              "description": "",
              "sequence": 0,
              "workers": [
                {
                  "id": "Vkd5MWdEaDRSa0tFTUhuc0pDakpaUToyOTow",
                  "key": "faf2d852-4ad6-467d-a002-8837092794d5",
                  "sequence": 0,
                  "name": "InteractionStudio",
                  "description": "",
                  "activityObjectId": "858f98c7-7d0c-4c42-95ee-a142852e96c9",
                  "objectTypeId": 733,
                  "serializedObject": "{\"SerializedObjectType\":1,\"criteria\":null,\"useHighWatermark\":false,\"contactAttributeId\":\"18f35cd5-f1c1-e311-a1e0-e83935a85380\",\"dateType\":\"yearly\",\"dateOffset\":0,\"dateOffsetUnit\":\"days\",\"ContactAttributeGroup\":\"PushDemographics\",\"ContactAttributeName\":\"CreatedDate\",\"DataExtensionId\":\"a94b1dd1-b5c3-e211-abdb-1cc1de75f674\",\"Eid\":987654,\"Mid\":987654,\"EventDefinitionId\":\"858f98c7-7d0c-4c42-95ee-a142852e96c9\",\"EventDefinitionKey\":\"DateEvent\"}",
                  "selectedObject": [
                    {
                      "categoryId": -1
                    }
                  ],
                  "guidId": "80b56c54-7838-4246-8430-79ec2428c965"
                }
              ],
              "guidId": "0c04673f-29c7-4060-b623-1573253a1159"
            }
          ],
          "scheduledTime": "2025-06-13T05:00:00Z",
          "schedule": "http://rest.s1.exacttarget.com/rest//beta/automations/schedule/R19KM1hjUWhMVUN2WjcybEhOdkNXQTozNjow",
          "isPlatformObject": true,
          "notifications": "http://rest.s1.exacttarget.com/rest//beta/hub/notifications/NUVGVWhKLXNBRVNicHNHbTdlYl9XUToxMjow",
          "automationType": "scheduled",
          "categoryId": 1157180,
          "folderPath": "my automations",
          "lastSaveDate": "2025-06-12T18:33:43Z",
          "lastSavedBy": {
            "id": "MTA5NzcxNjU6NDow",
            "name": "D'Angelo Cunningham",
            "email": "dcunningham@example.com"
          },
          "selectedCategoryId": [
            {
              "categoryId": 11335577
            }
          ],
          "scheduleObject": {
            "id": "R19KM1hjUWhMVUN2WjcybEhOdkNXQTozNjow",
            "key": "7d13dd40-2be0-4dfe-a3aa-9ef66e100d78",
            "createdDate": "2025-06-12T18:34:00Z",
            "createdBy": "http://rest.s1.exacttarget.com/rest//beta/organization/user/MTA5NzcxNjU6NDow",
            "lastUpdated": "2025-06-12T18:34:00Z",
            "lastUpdatedBy": "http://rest.s1.exacttarget.com/rest//beta/organization/user/MTA5NzcxNjU6NDow",
            "name": "",
            "description": "Will run every day, effective 6/13/2025 at 12:00 AM through Monday, June 13, 2027",
            "startDate": "2025-06-13T06:00:00Z",
            "iCalRecur": "FREQ=DAILY;UNTIL=20270613T050000;INTERVAL=1",
            "timeZone": "Central Standard Time",
            "timeZoneId": 79,
            "scheduleStatus": "active"
          },
          "guidId": "845441e4-ac9f-4400-9ba6-c1a6ede6ff59"
        }
      },
      "schedule": {
        "startDateTime": "2025-06-13T00:00:00",
        "endDateTime": "2027-06-13T05:00:00",
        "timeZone": "Central Standard Time",
        "occurrences": 18263,
        "endType": "EndDate",
        "frequency": "Daily",
        "recurrencePattern": "Interval",
        "interval": 1
      },
      "interactionCount": 0,
      "isVisibleInPicker": true,
      "isPlatformObject": false,
      "category": "Event",
      "publishedInteractionCount": 0,
      "automationId": "5860e177-b030-4674-9084-3de5444ff839",
      "disableDEDataLogging": false
    }
  ]
}
```
